Deepgram
    • Projects
      • Analyze Text
        POST
      • Get Projects
        GET
      • Update Project
        PATCH
      • Delete Project
        DELETE
    • Keys
      • Get Keys
        GET
      • Get Key
        GET
      • Create Key
        POST
      • Delete Key
        DELETE
    • Members
      • Get Members
        GET
      • Remove Member
        DELETE
    • Scopes
      • Get Member Scopes
        GET
      • Update Scope
        PUT
    • invitations
      • Get Invites
        GET
      • Send Invite
        POST
      • Delete Invite
        DELETE
      • Leave Project
        DELETE
    • Usage
      • Get All Requests
        GET
      • Get Request
        GET
      • Summarize Usage
        GET
      • Get Fields
        GET
    • Billing
      • Get Balances
        GET
      • Get Balance
        GET
    • Transcribe & Analyze - Local file
      POST
    • Transcribe & Analyze - Remote file
      POST
    • Transform Text-to-Speech - REST
      POST

      Transform Text-to-Speech - REST

      Develop Env
      https://dev.your-api-server.com
      Develop Env
      https://dev.your-api-server.com
      POST
      /v1/speak
      Use Deepgram's Aura text-to-speech API to transform text to speech.
      A Text-to-Speech API that transforms written words into natural-sounding speech. Choose from a variety of voices, and customize the audio file output to meet the needs of your use case.
      Upon successful processing of the request, the API will stream your audio back to you. You may begin playback of the synthesized text-to-speech audio upon receiving the first byte, or you can wait until the entire audio file has been delivered. You will also receive response headers providing additional information.

      🌈#

      We'd love to get your feedback on Deepgram's Aura text-to-speech. You will receive $50 in additional console credits within two weeks after filling out the form, and you may be invited to join a group of users with access to the latest private releases. To fill out the form, Click Here.

      Request

      Query Params

      Header Params

      Body Params application/json

      Examples

      Responses

      🟢200Success
      application/json
      Body

      🟠400Bad Request
      Request Request Example
      Shell
      JavaScript
      Java
      Swift
      curl --location --request POST 'https://dev.your-api-server.com/v1/speak?model=aura-asteria-en' \
      --header 'Content-Type: application/json' \
      --data-raw '{
        "text": "Hello, how can I help you today?"
      }'
      Response Response Example
      200 - Success
      HTTP/1.1 200 OK
      < content-type: audio/mpeg
      < dg-model-name: aura-asteria-en
      < dg-model-uuid: e4979ab0-8475-4901-9d66-0a562a4949bb
      < dg-char-count: 32
      < access-control-allow-credentials: true
      < vary: origin
      < vary: access-control-request-method
      < vary: access-control-request-headers
      < dg-request-id: bf6fc5c7-8f84-479f-b70a-602cf5bf18f3
      < transfer-encoding: chunked
      < date: Thu, 29 Feb 2024 19:20:48 GMT
      Modified at 2024-07-29 05:54:13
      Previous
      Transcribe & Analyze - Remote file
      Built with